services:
  cycleplanner:
    image: ghcr.io/hany8787/cycleplanner:latest
    ports:
      - "3000:3000"
    environment:
      - NODE_ENV=production
      - NEXT_PUBLIC_SUPABASE_URL=https://osvviejwyelkkhvgqhdk.supabase.co
      - NEXT_PUBLIC_SUPABASE_ANON_KEY=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJzdXBhYmFzZSIsInJlZiI6Im9zdnZpZWp3eWVsa2todmdxaGRrIiwicm9sZSI6ImFub24iLCJpYXQiOjE3NzAzNjUzMjksImV4cCI6MjA4NTk0MTMyOX0.AwN8jqsCBz46fwrN4cwxOveic1Bpd2VVTEjB-FVDc8s
    restart: unless-stopped
